#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define		pdir	Path
%define		pnam	Tiny
Summary:	Path::Tiny - File path utility
Summary(pl.UTF-8):	Path::Tiny - narzędzia do ścieżek plików
Name:		perl-Path-Tiny
Version:	0.122
Release:	1%{?tld}
License:	Apache v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DA/DAGOLDEN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f746d8da5d049a5523b1880666bb0992
URL:		https://metacpan.org/release/Path-Tiny
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.17
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(File::Path) >= 2.07
BuildRequires:	perl(File::Spec) >= 0.86
BuildRequires:	perl-Digest >= 1.03
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Digest-SHA >= 5.45
BuildRequires:	perl-Encode
BuildRequires:	perl-File-Temp >= 0.19
BuildRequires:	perl-Test-Simple >= 0.96
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a small, fast utility for working with file
paths. It is friendlier to use than File::Spec and provides easy
access to functions from several other core file handling modules. It
aims to be smaller and faster than many alternatives on CPAN, while
helping people do many common things in consistent and less
error-prone ways.

%description -l pl.UTF-8
Ten moduł zawiera małe, szybkie narzędzie do pracy ze ścieżkami
plików. Jest bardziej przyjazny w użyciu niż File::Spec i daje łatwy
dostęp do funkcji z kilku innych głównych modułów obsługujących pliki.
Moduł ma za zadanie być mniejszym i szybszym od alternatyw z CPAN-u,
pomagając ludziom wykonywać wiele popularnych zadań w spójny i
bardziej błędoodporny sposób.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Path/Tiny.pm
%{_mandir}/man3/Path::Tiny.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Path-Tiny.git;a=log;h=master

* Wed Jun 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 033816b
- updated to 0.122

* Mon May 17 2021 Jakub Bogusz <qboosh@pld-linux.org> fffa584
- updated to 0.118

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 6ce15d9
- updated to 0.114

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 65040c6
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Oct 03 2018 Jakub Bogusz <qboosh@pld-linux.org> fc351d6
- updated to 0.108

* Tue Nov 08 2016 Jakub Bogusz <qboosh@pld-linux.org> c4cba5c
- new

